## xapian-core 0.9.6

=== docs/apidoc/latex/Makefile ===
all: clean refman.dvi

ps: refman.ps

pdf: refman.pdf

ps_2on1: refman_2on1.ps

pdf_2on1: refman_2on1.pdf

refman.ps: refman.dvi
	dvips -o refman.ps refman.dvi

refman.pdf: refman.ps
	ps2pdf refman.ps refman.pdf

refman.dvi: refman.tex doxygen.sty
	echo "Running latex..."
	/usr/bin/latex refman.tex
	echo "Running makeindex..."
	/usr/bin/makeindex refman.idx
	echo "Rerunning latex...."
	/usr/bin/latex refman.tex
	latex_count=5 ; \
	while egrep -s 'Rerun (LaTeX|to get cross-references right)' refman.log && [ $$latex_count -gt 0 ] ;\
	    do \
	      echo "Rerunning latex...." ;\
	      /usr/bin/latex refman.tex ;\
	      latex_count=`expr $$latex_count - 1` ;\
	    done

refman_2on1.ps: refman.ps
	psnup -2 refman.ps >refman_2on1.ps

refman_2on1.pdf: refman_2on1.ps
	ps2pdf refman_2on1.ps refman_2on1.pdf

clean:
	rm -f *.ps *.dvi *.aux *.toc *.idx *.ind *.ilg *.log *.out refman.pdf

## xapian-core 1.0.20-2maemo1

=== debian/changelog ===
xapian-core (1.0.20-2maemo1) unstable; urgency=low

  * initial packaging of xapian for maemo based on lp:ubuntu/xapian-core rev15

 -- Markus Korn <thekorn@gmx.de>  Fri, 23 Jul 2010 09:19:43 +0000

xapian-core (1.0.20-2) unstable; urgency=medium

  * urgency=medium as 1.0.20-1 has already aged 7 days in testing and this is a
    tiny change making an obvious fix - it would be good to get 1.0.20 packages
    into testing before we try to transition to Xapian 1.2.
  * debian/patches/cursor-next-on-modified-table-fix.patch: Fix bug which
    manifests in notmuch 0.3.1 testsuite. (Closes: #579951)

 -- Olly Betts <olly@survex.com>  Wed, 05 May 2010 07:07:26 +0000

xapian-core (1.0.20-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in: Update "Suggests" of -dbg package (libgcc2-dbg removed;
    libstdc++6-4.4-dbg added).

 -- Olly Betts <olly@survex.com>  Wed, 28 Apr 2010 02:19:21 +0000

xapian-core (1.0.19-1) unstable; urgency=low

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Sun, 25 Apr 2010 05:07:07 +0000

xapian-core (1.0.18-1) unstable; urgency=low

  * New upstream release.
    + Includes fix for Xapian ticket#250.  Closes: #564830

 -- Olly Betts <olly@survex.com>  Sun, 14 Feb 2010 12:17:31 +0000

xapian-core (1.0.17+svn13879-1) experimental; urgency=low

  * Snapshot from upstream branches/1.0 including patch for Xapian ticket#250.
  * debian/control.in:
    + Remove "DM-Upload-Allowed: yes" as I'm now a DD.
    + Add "Vcs-Browser:" and "Vcs-svn:".
    + Standards-Version: 3.8.4 (no changes required).
    + Add '${misc:Depends}' for xapian-doc to placate lintian.
  * debian/rules: Update licence boilerplate from GPLv2+ to MIT/X.
  * debian/copyright: Update copyright years.

 -- Olly Betts <olly@survex.com>  Tue, 02 Feb 2010 11:21:32 +0000

xapian-core (1.0.17-1) unstable; urgency=low

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Thu, 19 Nov 2009 04:05:59 +0000

xapian-core (1.0.16-3) unstable; urgency=low

  * The lsof probing reveals that the fd ulimit problem isn't due to extra
    fds being open, so remove it as it has served its purpose, and instead
    just disable the fd ulimit for now.

 -- Olly Betts <olly@survex.com>  Mon, 14 Sep 2009 06:19:30 +0100

xapian-core (1.0.16-2) unstable; urgency=low

  * Add build dependency on lsof which the new fd ulimit patch uses.

 -- Olly Betts <olly@survex.com>  Sun, 13 Sep 2009 11:04:09 +0100

xapian-core (1.0.16-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Force nocheck into DEB_BUILD_OPTIONS on avr32 to try to stop
    the build from timing out.
  * debian/README.source: Added.
  * debian/patches: Replace the patch to disable the fd ulimit on alpha with
    one to use lsof to report and count the number of already open fds, and
    then add this number to the limit we were going to set.

 -- Olly Betts <olly@survex.com>  Sat, 12 Sep 2009 14:18:31 +0100

xapian-core (1.0.15-2) unstable; urgency=low

  * debian/rules: Include /usr/share/quilt/quilt.make much earlier so that
    QUILT_STAMPFN is actually set when we try to use it.  This means that
    the patch(es) will actually be applied (presumably 1.0.14-2 built on
    alpha just by luck).
  * debian/rules: Build with "-g" so that the -dbg package is more useful.
  * debian/rules: Disable optimisation for avr32 in the hope that will avoid
    the build failing with "Took too long".
  * debian/rules: Add -ffloat-store for i386-hurd to try to get topercent2 to
    pass.

 -- Olly Betts <olly@survex.com>  Fri, 28 Aug 2009 05:09:14 +0000

xapian-core (1.0.15-1) unstable; urgency=low

  * New upstream release.
  * xapian-tools now depends on the same version of libxapian15 to avoid
    problems with some undocumented symbols xapian-compact uses.
  * Fix typo in package description.
  * debian/rules: Set DEB_HOST_ARCH by calling dpkg-architecture if it isn't
    already set so that behaviour is the same when running debian/rules "by
    hand".
  * debian/control.in: Standards-Version: 3.8.3 (no changes required).
  * debian/patches/runtest-no-fd-ulimit-on-alpha.patch: Add a description of
    the patch.

 -- Olly Betts <olly@survex.com>  Thu, 27 Aug 2009 03:17:52 +0100

xapian-core (1.0.14-2) unstable; urgency=medium

  * "urgency=medium" as 1.0.14-1 has aged 5 days and only FTBFS on alpha
    because of a new ulimit in the testsuite in 1.0.14-1.
  * debian/rules,debian/control.in,debian/patches/series: Add support for
    managing patches with quilt, but only add quilt as a build dependency
    if there are patches.  Also autogenerate the versioned dependency on
    debhelper using debian/compat.
  * debian/patches/runtest-no-fd-ulimit-on-alpha.patch: Fix FTBFS on alpha
    by disabling the new fd ulimit in the test harness on that architecture.

 -- Olly Betts <olly@survex.com>  Wed, 05 Aug 2009 02:53:41 +0000

xapian-core (1.0.14-1) unstable; urgency=low

  * New upstream release.
    + debian/patch: Changes included upstream so remove.
  * debian/control.in: Standards-Version: 3.8.2 (no changes required).
  * debian/control.in: Update required debhelper version.
  * debian/copyright: Update for the MIT/X relicensing of the serialise-double
    code.
  * debian/rules: Explicitly disable use of valgrind for the testsuite -
    otherwise if someone builds their own package with valgrind installed (as
    developer boxes often do), the test suite run will take a really long
    time.

 -- Olly Betts <olly@survex.com>  Thu, 30 Jul 2009 03:01:21 +0100

xapian-core (1.0.13-3) unstable; urgency=low

  * debian/patch: Backport more testsuite patches from upstream SVN:
    + Don't bother trying to count CPU time for child processes, as it's hard
      to ensure that the child processes have finished with the current
      framework, and just counting time in the current process checks most
      things (the local backend tests cover much of the work done by the
      server part of the remote backend).


=== debian/control ===
Source: xapian-core
Section: libs
Priority: optional
Maintainer: Olly Betts <olly@survex.com>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 5), quilt, autotools-dev, zlib1g-dev
Homepage: http://xapian.org/
Vcs-Browser: http://trac.xapian.org/browser/branches/1.0/xapian-core
Vcs-svn: svn://svn.xapian.org/xapian/branches/1.0/xapian-core

Package: libxapian15
Architecture: any
Section: libs
Priority: important
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: xapian-tools
Conflicts: libxapian2
Description: Search engine library
 This package contains the core Xapian runtime library.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.

Package: libxapian15-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libxapian15 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: libc-dbg, libgcc1-dbg | libgcc4-dbg, zlib1g-dbg, libstdc++6-4.4-dbg | libstdc++6-4.3-dbg | libstdc++6-4.2-dbg | libstdc++6-4.1-dbg | libstdc++6-4.0-dbg
Description: Debugging symbols for the Xapian Search engine library
 This package contains debugging symbols for the core Xapian library.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.

Package: libxapian-dev
Architecture: any
Section: libdevel
Depends: libxapian15 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Suggests: xapian-doc (= ${binary:Version}), xapian-examples (= ${binary:Version})
Description: Development files for Xapian search engine library
 This package contains development libraries and headers for the core Xapian
 library.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.

Package: xapian-tools
Architecture: any
Section: utils
Depends: libxapian15 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Basic tools for Xapian search engine library
 This package contains several tools related to Xapian.
  - copydatabase: Copy one or more Xapian databases.
  - delve: Inspect the contents of a Xapian database.
  - quartzcheck: Check the validity of a quartz-format Xapian database.
  - quartzcompact: Compact a quartz database, or merge and compact several.
  - quartzdump: Dump (part of) a quartz-format Xapian database.
  - quest: Command line search of a Xapian database.
  - xapian-check: Check the validity of a Xapian database.
  - xapian-compact: Compact a quartz database, or merge and compact several.
  - xapian-progsrv: stdin/stdout based server, for searching databases remotely.
  - xapian-tcpsrv: TCP based server, used for searching databases remotely.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.

Package: xapian-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libxapian-dev (= ${binary:Version})
Description: Core Xapian documentation
 This package contains general documentation about Xapian, and more detailed
 API documentation.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.

Package: xapian-examples
Architecture: any
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libxapian-dev (= ${binary:Version})
Description: Xapian simple example programs
 This package contains source code for some example programs which use the
 Xapian library.  The three "simple" examples are also included in binary
 form; binaries for the other examples can be found in the xapian-tools
 package (since they're useful tools in their own right).
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.

=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright (C) 2004,2005,2006 Lemur Consulting Ltd
# Copyright (C) 2006,2007,2008,2009 Olly Betts
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to
# deal in the Software without restriction, including without limitation the
# rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
# sell copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
# IN THE SOFTWARE.

# Codename we're building packages for.  For backported packages, put the
# codename (e.g. lenny or jaunty) in debian/codename.  If that file doesn't
# exist, the default is sid.
CODENAME := $(shell cat debian/codename 2>/dev/null||echo sid)

# ${binary:Version} was added after sarge and dapper, so use the old name for
# it (${Source-Version}) there.
ifneq ($(findstring .$(CODENAME)., .sarge.dapper.), )
BINARY_VERSION := $${Source-Version}
else
BINARY_VERSION := $${binary:Version}
endif

# The soversion number needs to match that generated by libtool.  The following
# lines should read configure.ac to get the current interface number and
# subtract it from the interface age, to get the oldest interface number
# supported by the library. This should correspond to the soversion assigned
# to the library by libtool.  (This isn't documented, and is system dependent,
# so we need to check it doesn't break with future versions of libtool.)
libxapian_soversion:=$(shell sed 's/^LIBRARY_VERSION_INFO=\([0-9][0-9]*\):[0-9][0-9]*:\([0-9][0-9]*\).*/\1-\2/p;d' configure.ac)
libxapian_soversion:=$(shell echo $$(($(libxapian_soversion))))

# For now, we don't support installation of development files for multiple
# versions concurrently.  Incompatible ABI changes should be rare, so this
# seems reasonable.
libxapian_dev_soversion=

export DH_OPTIONS

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

confflags := --prefix=/usr --sysconfdir=/etc
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
    confflags += --build $(DEB_HOST_GNU_TYPE)
    ifeq ($(DEB_HOST_ARCH), alpha)
	# The alpha buildd is failing with a SEGV while trying to skip testcase
	# nomoredocids1 for the inmemory backend.  Skipping works by throwing
	# an exception so this smells like a toolchain bug to me.  Disabling
	# optimisation seems to avoid this (and fixes a SEGV in the generated
	# code for firefox #503051).
	DEB_BUILD_OPTIONS += noopt
    endif
else
    confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
    # Disable the testsuite when cross-compiling.
    DEB_BUILD_OPTIONS += nocheck
endif

ifeq ($(DEB_HOST_ARCH), avr32)
    # The avr32 buildd is repeatedly failing with "Took too long", so disable
    # optimisation and the testsuite for now for a faster build.
    DEB_BUILD_OPTIONS += noopt nocheck
endif

CFLAGS :=
CXXFLAGS := -g

ifeq ($(DEB_HOST_ARCH), hurd-i386)
    # Testcase topercent2 fails without -ffloat-store - smells like an excess
    # precision issue.
    CXXFLAGS += -ffloat-store
endif

# Handle DEB_BUILD_OPTIONS.  Note that dh_strip handles nostrip for us.

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -O2
    CXXFLAGS += -O2
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif
ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
    MAKE_CHECK := :
else
    MAKE_CHECK := $(MAKE) check VALGRIND=
endif

confflags += CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)"

# With GCC3 and later this won't make a huge difference, but it'll save
# a bit of time and diskspace while building.
confflags += --disable-dependency-tracking

maint: \
	debian/control \
	debian/libxapian$(libxapian_soversion).install \
	debian/libxapian$(libxapian_dev_soversion)-dev.install

maintclean: clean
	rm -f debian/control
	rm -f debian/libxapian$(libxapian_soversion).install
	rm -f debian/libxapian$(libxapian_dev_soversion)-dev.install
	rm -rf debian/libxapian$(libxapian_soversion)
	rm -rf debian/libxapian$(libxapian_dev_soversion)-dev
	rm -rf debian/xapian-doc
	rm -rf debian/xapian-tools
	rm -rf debian/tmp

debian/control: debian/rules debian/control.in debian/compat debian/patches/series
	rm -f debian/control.tmp
	sed -e 's/@LIBXAPIAN_SOVERSION@/$(libxapian_soversion)/g' \
	    -e 's/@LIBXAPIAN_DEV_SOVERSION@/$(libxapian_dev_soversion)/g' \
	    -e 's/@BINARY_VERSION@/$(BINARY_VERSION)/g' \
	    -e 's/@BUILD_DEPS@/debhelper (>= $(shell cat debian/compat)),$(shell grep -qv '^#' debian/patches/series && echo " quilt,")/g' \
	     debian/control.in > debian/control.tmp
	mv debian/control.tmp debian/control

debian/libxapian$(libxapian_soversion).install: debian/rules debian/libxapianVERSION.install
	cp -f debian/libxapianVERSION.install debian/libxapian$(libxapian_soversion).install

debian/libxapian$(libxapian_dev_soversion)-dev.install: debian/rules debian/libxapianVERSION-dev.install
	cp -f debian/libxapianVERSION-dev.install debian/libxapian$(libxapian_dev_soversion)-dev.install

# Include quilt's fragment if it is installed.
-include /usr/share/quilt/quilt.make

# Dummy patch and unpatch targets in case quilt isn't installed.
patch unpatch:

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN) debian/control
	dh_testdir

	# Use the latest config.sub and config.guess from the autotools-dev
	# package.
	# rm -f config.sub config.guess
	# ln -s /usr/share/misc/config.sub config.sub
	# ln -s /usr/share/misc/config.guess config.guess

	# Report kernel and compiler version so upstream PLATFORMS file can be
	# updated from buildd logs.
	-uname -a
	-g++ --version

	# Configure in a subdirectory, for neatness.
	mkdir -p build
	cd build && ../configure $(confflags)

	# Touch the stamp file, to avoid repeating the configure step.
	touch $@

build: build-stamp
build-stamp: configure
	dh_testdir
	$(MAKE) -C build
	$(MAKE_CHECK) -C build
	touch $@

install: DH_OPTIONS=
install: build \
	 debian/libxapian$(libxapian_soversion).install \
	 debian/libxapian$(libxapian_dev_soversion)-dev.install
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Install the files into debian/tmp
	$(MAKE) -C build DESTDIR=$(CURDIR)/debian/tmp install

	# Install the example source code
	mkdir -p debian/tmp/usr/share/doc/xapian-examples/examples
	cp examples/*.cc debian/tmp/usr/share/doc/xapian-examples/examples
	ln -s ../../../../lib/xapian-examples/examples debian/tmp/usr/share/doc/xapian-examples/examples/built

	# Reads the *.install files to decide where to install everything
	dh_install --sourcedir=debian/tmp --fail-missing


binary: binary-arch binary-indep
binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_installchangelogs ChangeLog
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_installchangelogs ChangeLog
	dh_strip --dbg-package=libxapian$(libxapian_soversion)-dbg

## xapian-core 1.0.20-2maemo2

=== debian/changelog ===
xapian-core (1.0.20-2maemo2) unstable; urgency=low

  * initial packaging of xapian for maemo based on lp:ubuntu/xapian-core rev15

 -- Markus Korn <thekorn@gmx.de>  Fri, 23 Jul 2010 09:23:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xapian-core
 Section: libs
 Priority: optional
-Maintainer: Olly Betts <olly@survex.com>
+Maintainer: Markus Korn <thekorn@gmx.de>
 Standards-Version: 3.8.4
 Build-Depends: debhelper (>= 5), quilt, autotools-dev, zlib1g-dev
 Homepage: http://xapian.org/

## xapian-core 1.2.3

=== debian/changelog ===
xapian-core (1.2.3-2) unstable; urgency=low

  * Only include debug symbols for the shared library in the debug package
    (Closes: #594455).

 -- Olly Betts <olly@survex.com>  Thu, 26 Aug 2010 07:10:51 +0000

xapian-core (1.2.3-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * debian/control.in:
    + Standards-Version: 3.9.1 (no changes required).
  * debian/patches/check-select-errors.patch: Drop, merged upstream.

 -- Olly Betts <olly@survex.com>  Tue, 24 Aug 2010 11:18:50 +0000

xapian-core (1.2.2-4) experimental; urgency=low

  * Add patch check-select-errors.patch which will hopefully fix erratic FTBFS
    on alpha and mipsel, or at least help to debug them.

 -- Olly Betts <olly@survex.com>  Wed, 07 Jul 2010 12:06:07 +0000

xapian-core (1.2.2-3) experimental; urgency=low

  * The special case code to add 'usr/lib/sse2' to libxapian22.install doesn't
    work as this file is generated when the source package is made, not at
    binary package build time.  Instead use 'usr/lib/{,sse2}/libxapian.so.*'
    which will package the sse2 version if it has been built, and won't give
    an error if it doesn't.

 -- Olly Betts <olly@survex.com>  Wed, 07 Jul 2010 03:04:44 +0000

xapian-core (1.2.2-2) experimental; urgency=low

  * debian/rules: Fix typo in handling sse2 variant on i386/*-i386.

 -- Olly Betts <olly@survex.com>  Tue, 06 Jul 2010 16:19:40 +0000

xapian-core (1.2.2-1) experimental; urgency=low

  * New upstream release:
    + debian/patches: All patches incorporated upstream, so remove.
    + Package new upstream cmake support files in libxapian-dev.
  * Drop quilt dependencies now we're using source format "3.0 (quilt)".
  * On i386 and *-i386, build both SSE2 and i386 versions of the library.  The
    main motivation is correctness (upstream now defaults to using SSE because
    excess precision from 387 FP instructions can cause inconsistencies in
    weight calculations) but the SSE2 build is faster too (~6%).
  * debian/rules: Try re-enabling optimisation on alpha - it's been more
    than a year.
  * debian/rules: Use dh_prep instead of dh_clean -k.

 -- Olly Betts <olly@survex.com>  Tue, 06 Jul 2010 13:33:37 +0000

xapian-core (1.2.0-3) experimental; urgency=low

  * debian/patches/ftbfs-on-hurd-fix.patch: Fix FTBFS on hurd due to SA_SIGINFO
    not being defined.
  * debian/patches/cursor-next-on-modified-table-fix-1.2.patch: Fix bug which
    manifests in notmuch 0.3.1 testsuite. (Closes: #579951)
  * Update to require dh7 and use dh compact level 7.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Olly Betts <olly@survex.com>  Wed, 05 May 2010 09:49:36 +0000

xapian-core (1.2.0-2) experimental; urgency=low

  * debian/patches/fix-header-installation-location.patch: Fix installation
    location of headers.
  * debian/rules: Empty dependency_libs in .la file.

 -- Olly Betts <olly@survex.com>  Mon, 03 May 2010 02:04:37 +0000

xapian-core (1.2.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in: Update "Suggests" of -dbg package (libgcc2-dbg and
    libstdc++6-4.0-dbg removed; libstdc++6-4.4-dbg added).

 -- Olly Betts <olly@survex.com>  Thu, 29 Apr 2010 07:33:26 +0000

xapian-core (1.1.5-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/runtest-no-fd-ulimit.patch: Drop patch - upstream now has
    fd leak checking in the test harness and has removed the ulimit.
  * debian/control.in:
    + Drop conflict on libxapian2 as that's too ancient to be relevant now.
    + Just use ${binary:Version} - sarge has reached EOL and I'm not intending
      to backport 1.1.x to dapper.
    + Add uuid-dev as a build dependency.

 -- Olly Betts <olly@survex.com>  Sat, 24 Apr 2010 07:51:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: xapian-core
 Section: libs
 Priority: optional
-Maintainer: Markus Korn <thekorn@gmx.de>
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 5), quilt, autotools-dev, zlib1g-dev
+Maintainer: Olly Betts <olly@survex.com>
+Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, uuid-dev
 Homepage: http://xapian.org/
-Vcs-Browser: http://trac.xapian.org/browser/branches/1.0/xapian-core
-Vcs-svn: svn://svn.xapian.org/xapian/branches/1.0/xapian-core
+Vcs-Browser: http://trac.xapian.org/browser/trunk/xapian-core
+Vcs-svn: svn://svn.xapian.org/xapian/trunk/xapian-core
 
-Package: libxapian15
+Package: libxapian22
 Architecture: any
 Section: libs
 Priority: important
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: xapian-tools
-Conflicts: libxapian2
 Description: Search engine library
  This package contains the core Xapian runtime library.
  .
@@ -26,12 +25,12 @@
  update and searching.  It is highly scalable, and is capable of working with
  collections containing hundreds of millions of documents.
 
-Package: libxapian15-dbg
+Package: libxapian22-dbg
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libxapian15 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Suggests: libc-dbg, libgcc1-dbg | libgcc4-dbg, zlib1g-dbg, libstdc++6-4.4-dbg | libstdc++6-4.3-dbg | libstdc++6-4.2-dbg | libstdc++6-4.1-dbg | libstdc++6-4.0-dbg
+Depends: libxapian22 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Suggests: libc-dbg, libgcc1-dbg | libgcc4-dbg, zlib1g-dbg, libstdc++6-4.4-dbg | libstdc++6-4.3-dbg | libstdc++6-4.2-dbg | libstdc++6-4.1-dbg
 Description: Debugging symbols for the Xapian Search engine library
  This package contains debugging symbols for the core Xapian library.
  .
@@ -46,7 +45,7 @@
 Package: libxapian-dev
 Architecture: any
 Section: libdevel
-Depends: libxapian15 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
+Depends: libxapian22 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
 Suggests: xapian-doc (= ${binary:Version}), xapian-examples (= ${binary:Version})
 Description: Development files for Xapian search engine library
  This package contains development libraries and headers for the core Xapian
@@ -63,7 +62,7 @@
 Package: xapian-tools
 Architecture: any
 Section: utils
-Depends: libxapian15 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libxapian22 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Basic tools for Xapian search engine library
  This package contains several tools related to Xapian.
   - copydatabase: Copy one or more Xapian databases.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #
 # Copyright (C) 2004,2005,2006 Lemur Consulting Ltd
-# Copyright (C) 2006,2007,2008,2009 Olly Betts
+# Copyright (C) 2006,2007,2008,2009,2010 Olly Betts
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to
@@ -24,15 +24,7 @@
 # Codename we're building packages for.  For backported packages, put the
 # codename (e.g. lenny or jaunty) in debian/codename.  If that file doesn't
 # exist, the default is sid.
-CODENAME := $(shell cat debian/codename 2>/dev/null||echo sid)
-
-# ${binary:Version} was added after sarge and dapper, so use the old name for
-# it (${Source-Version}) there.
-ifneq ($(findstring .$(CODENAME)., .sarge.dapper.), )
-BINARY_VERSION := $${Source-Version}
-else
-BINARY_VERSION := $${binary:Version}
-endif
+# CODENAME := $(shell cat debian/codename 2>/dev/null||echo sid)
 
 # The soversion number needs to match that generated by libtool.  The following
 # lines should read configure.ac to get the current interface number and
@@ -57,18 +49,15 @@
 confflags := --prefix=/usr --sysconfdir=/etc
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
     confflags += --build $(DEB_HOST_GNU_TYPE)
-    ifeq ($(DEB_HOST_ARCH), alpha)
-	# The alpha buildd is failing with a SEGV while trying to skip testcase
-	# nomoredocids1 for the inmemory backend.  Skipping works by throwing
-	# an exception so this smells like a toolchain bug to me.  Disabling
-	# optimisation seems to avoid this (and fixes a SEGV in the generated
-	# code for firefox #503051).
-	DEB_BUILD_OPTIONS += noopt
-    endif
 else
     confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
     # Disable the testsuite when cross-compiling.
     DEB_BUILD_OPTIONS += nocheck
+endif
+
+# For i386 and *-i386.
+ifeq ($(patsubst %-i386,i386,$(DEB_HOST_ARCH)), i386)
+    XAPIAN_BUILD_SSE := 1
 endif
 
 ifeq ($(DEB_HOST_ARCH), avr32)
@@ -79,12 +68,6 @@
 
 CFLAGS :=
 CXXFLAGS := -g
-
-ifeq ($(DEB_HOST_ARCH), hurd-i386)
-    # Testcase topercent2 fails without -ffloat-store - smells like an excess
-    # precision issue.
-    CXXFLAGS += -ffloat-store
-endif
 
 # Handle DEB_BUILD_OPTIONS.  Note that dh_strip handles nostrip for us.
 
@@ -121,14 +104,13 @@
 	rm -rf debian/libxapian$(libxapian_dev_soversion)-dev
 	rm -rf debian/xapian-doc
 	rm -rf debian/xapian-tools
-	rm -rf debian/tmp
-
-debian/control: debian/rules debian/control.in debian/compat debian/patches/series
+	rm -rf debian/tmp debian/tmp-sse2
+
+debian/control: debian/rules debian/control.in debian/compat
 	rm -f debian/control.tmp
 	sed -e 's/@LIBXAPIAN_SOVERSION@/$(libxapian_soversion)/g' \
 	    -e 's/@LIBXAPIAN_DEV_SOVERSION@/$(libxapian_dev_soversion)/g' \
-	    -e 's/@BINARY_VERSION@/$(BINARY_VERSION)/g' \
-	    -e 's/@BUILD_DEPS@/debhelper (>= $(shell cat debian/compat)),$(shell grep -qv '^#' debian/patches/series && echo " quilt,")/g' \
+	    -e 's/@BUILD_DEPS@/debhelper (>= $(shell cat debian/compat)),/g' \
 	     debian/control.in > debian/control.tmp
 	mv debian/control.tmp debian/control
 
@@ -138,21 +120,15 @@
 debian/libxapian$(libxapian_dev_soversion)-dev.install: debian/rules debian/libxapianVERSION-dev.install
 	cp -f debian/libxapianVERSION-dev.install debian/libxapian$(libxapian_dev_soversion)-dev.install
 
-# Include quilt's fragment if it is installed.
--include /usr/share/quilt/quilt.make
-
-# Dummy patch and unpatch targets in case quilt isn't installed.
-patch unpatch:
-
 configure: configure-stamp
-configure-stamp: $(QUILT_STAMPFN) debian/control
+configure-stamp: debian/control
 	dh_testdir
 
 	# Use the latest config.sub and config.guess from the autotools-dev
 	# package.
-	# rm -f config.sub config.guess
-	# ln -s /usr/share/misc/config.sub config.sub
-	# ln -s /usr/share/misc/config.guess config.guess
+	rm -f config.sub config.guess
+	ln -s /usr/share/misc/config.sub config.sub
+	ln -s /usr/share/misc/config.guess config.guess
 
 	# Report kernel and compiler version so upstream PLATFORMS file can be
 	# updated from buildd logs.
@@ -161,7 +137,13 @@
 
 	# Configure in a subdirectory, for neatness.
 	mkdir -p build
+ifdef XAPIAN_BUILD_SSE
+	cd build && ../configure $(confflags) --disable-sse
+	mkdir -p build-sse2
+	cd build-sse2 && ../configure $(confflags) --disable-static
+else
 	cd build && ../configure $(confflags)
+endif
 
 	# Touch the stamp file, to avoid repeating the configure step.
 	touch $@
@@ -170,7 +152,12 @@
 build-stamp: configure
 	dh_testdir
 	$(MAKE) -C build
+ifdef XAPIAN_BUILD_SSE
+	$(MAKE) -C build-sse2
+	$(MAKE_CHECK) -C build-sse2
+else
 	$(MAKE_CHECK) -C build
+endif
 	touch $@
 
 install: DH_OPTIONS=
@@ -179,11 +166,20 @@
 	 debian/libxapian$(libxapian_dev_soversion)-dev.install
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Install the files into debian/tmp
 	$(MAKE) -C build DESTDIR=$(CURDIR)/debian/tmp install
+ifdef XAPIAN_BUILD_SSE
+	$(MAKE) -C build-sse2 DESTDIR=$(CURDIR)/debian/tmp-sse2 install
+	mkdir $(CURDIR)/debian/tmp/usr/lib/sse2
+	mv $(CURDIR)/debian/tmp-sse2/usr/lib/libxapian*.so.* $(CURDIR)/debian/tmp/usr/lib/sse2
+	rm -rf $(CURDIR)/debian/tmp-sse2
+endif
+
+	# Empty dependency_libs to placate luddite release goal.
+	sed -i 's/^\(dependency_libs=\).*/\1/' $(CURDIR)/debian/tmp/usr/lib/libxapian.la
 
 	# Install the example source code
 	mkdir -p debian/tmp/usr/share/doc/xapian-examples/examples
@@ -220,4 +216,14 @@
 	dh_installmenu
 	dh_installman
 	dh_installchangelogs ChangeLog
+	:
 	dh_strip --dbg-package=libxapian$(libxapian_soversion)-dbg
+	# Only keep debug symbols for the shared library.
+	rm -rf debian/libxapian$(libxapian_soversion)-dbg/usr/lib/debug/usr/lib/xapian-examples
+	rm -rf debian/libxapian$(libxapian_soversion)-dbg/usr/lib/debug/usr/bin
+	:
+	dh_link
+	dh_compress
+	dh_fixperms
+	dh_makeshlibs
+	dh_installdeb

## xapian-core 1.2.4

=== debian/changelog ===
xapian-core (1.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Tue, 21 Dec 2010 07:32:14 +0000

## xapian-core 1.2.5

=== debian/changelog ===
xapian-core (1.2.5-1ubuntu1) oneiric; urgency=low

  * debian/patches/cjk-ngram-applied-to-1.2-branch.patch: add support for CJK
    input methods by adding a tokenizer for CJK. (LP: #833172)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 24 Aug 2011 19:29:01 -0400

xapian-core (1.2.5-1) unstable; urgency=low

  * New upstream release.
  * Fix up link to the internal sourcedocs in internals.html to point to those
    on the Xapian website.

 -- Olly Betts <olly@survex.com>  Wed, 06 Apr 2011 02:19:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xapian-core
 Section: libs
 Priority: optional
-Maintainer: Olly Betts <olly@survex.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Olly Betts <olly@survex.com>
 Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, uuid-dev
 Homepage: http://xapian.org/

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #
 # Copyright (C) 2004,2005,2006 Lemur Consulting Ltd
-# Copyright (C) 2006,2007,2008,2009,2010 Olly Betts
+# Copyright (C) 2006,2007,2008,2009,2010,2011 Olly Betts
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to
@@ -185,6 +185,10 @@
 	mkdir -p debian/tmp/usr/share/doc/xapian-examples/examples
 	cp examples/*.cc debian/tmp/usr/share/doc/xapian-examples/examples
 	ln -s ../../../../lib/xapian-examples/examples debian/tmp/usr/share/doc/xapian-examples/examples/built
+
+	# Fix up link to the internal sourcedocs to point to those on the
+	# Xapian website since we don't build and package them.
+	sed -i 's,sourcedoc/html/annotated.html,http://xapian.org/docs/&,' debian/tmp/usr/share/doc/xapian-core/internals.html
 
 	# Reads the *.install files to decide where to install everything
 	dh_install --sourcedir=debian/tmp --fail-missing
@@ -219,11 +223,3 @@
 	:
 	dh_strip --dbg-package=libxapian$(libxapian_soversion)-dbg
 	# Only keep debug symbols for the shared library.
-	rm -rf debian/libxapian$(libxapian_soversion)-dbg/usr/lib/debug/usr/lib/xapian-examples
-	rm -rf debian/libxapian$(libxapian_soversion)-dbg/usr/lib/debug/usr/bin
-	:
-	dh_link
-	dh_compress
-	dh_fixperms
-	dh_makeshlibs
-	dh_installdeb

## xapian-core 1.2.7

=== debian/changelog ===
xapian-core (1.2.7-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in: Standards-Version: 3.9.2 (no changes required).
  * debian/rules: Add build-arch and build-indep targets.

 -- Olly Betts <olly@survex.com>  Fri, 12 Aug 2011 01:37:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: xapian-core
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.1
+Maintainer: Olly Betts <olly@survex.com>
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7), autotools-dev, zlib1g-dev, uuid-dev
 Homepage: http://xapian.org/
 Vcs-Browser: http://trac.xapian.org/browser/trunk/xapian-core

## xapian-core 1.2.8

=== debian/changelog ===
xapian-core (1.2.8-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Update "Suggests:" of -dbg package.

 -- Olly Betts <olly@survex.com>  Sat, 17 Dec 2011 07:24:42 +0000

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
 Section: debug
 Priority: extra
 Depends: libxapian22 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Suggests: libc-dbg, libgcc1-dbg | libgcc4-dbg, zlib1g-dbg, libstdc++6-4.4-dbg | libstdc++6-4.3-dbg | libstdc++6-4.2-dbg | libstdc++6-4.1-dbg
+Suggests: libc6-dbg, libgcc1-dbg, zlib1g-dbg, libstdc++6-4.6-dbg
 Description: Debugging symbols for the Xapian Search engine library
  This package contains debugging symbols for the core Xapian library.
  .

=== debian/rules ===
--- 
+++ 
@@ -148,7 +148,9 @@
 	# Touch the stamp file, to avoid repeating the configure step.
 	touch $@
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure
 	dh_testdir
 	$(MAKE) -C build
@@ -222,4 +224,3 @@
 	dh_installchangelogs ChangeLog
 	:
 	dh_strip --dbg-package=libxapian$(libxapian_soversion)-dbg
-	# Only keep debug symbols for the shared library.

=== debian/watch ===
version=3
http://xapian.org/download http://oligarchy.co.uk/xapian/([\d.]+)/xapian-core-\1\.tar\.gz
